summaryrefslogtreecommitdiffstats
path: root/academic/Gblocks/Gblocks.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/Gblocks/Gblocks.SlackBuild')
-rw-r--r--academic/Gblocks/Gblocks.SlackBuild18
1 files changed, 9 insertions, 9 deletions
diff --git a/academic/Gblocks/Gblocks.SlackBuild b/academic/Gblocks/Gblocks.SlackBuild
index 168de23746..aebb925d1f 100644
--- a/academic/Gblocks/Gblocks.SlackBuild
+++ b/academic/Gblocks/Gblocks.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Gblocks
-# Copyright 2011-2021 Petar Petrov slackalaxy@gmail.com
+# Copyright 2011-2023 Petar Petrov slackalaxy@gmail.com
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,18 +26,22 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=Gblocks
VERSION=${VERSION:-0.91b}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if [[ $ARCH != i?86 ]] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n$ARCH is not supported... \n"
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -52,11 +56,6 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
-if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
-
# Determine the source arch
if [ "$ARCH" = "x86_64" ]; then
SRCARCH="64"
@@ -84,6 +83,7 @@ install -D -m755 Gblocks $PKG/usr/bin/$PRGNAM
mkdir -p $PKG/usr/share/$PRGNAM
cp -a more_alignments nad3.pir paths $PKG/usr/share/$PRGNAM
+chmod 0755 $PKG/usr/share/$PRGNAM/more_alignments
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true